﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Drawing;
using System.Collections;
using Infragistics.UltraChart.Core.Primitives;
using Infragistics.UltraChart.Shared.Events;
using Infragistics.UltraChart.Shared.Styles;
using Infragistics.UltraChart.Resources.Appearance;


namespace InfraChartSample
{
    public partial class DynamicChartControl : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            DynamicChart1.DeploymentScenario.Scenario = ImageDeploymentScenario.FileSystem;

            string url1 = HttpContext.Current.Request.ApplicationPath;
            DynamicChart1.DeploymentScenario.FilePath = url1 + @"/ChartImages/";

            /// Bind the series data to chart
            
            DynamicChart1.Width = 400;
            DynamicChart1.Height = 400;

            DynamicChart1.ChartType = ChartType.BarChart;
            NumericSeries numSeries = new NumericSeries();

            numSeries.Points.Add(new NumericDataPoint(Convert.ToDouble(50), "Apple", false));
            numSeries.Points.Add(new NumericDataPoint(Convert.ToDouble(100), "Banana", false));
            numSeries.Points.Add(new NumericDataPoint(Convert.ToDouble(45), "Orange", false));
            numSeries.Label = "Fruits";
            DynamicChart1.Series.Add(numSeries);

            DynamicChart1.Axis.Y.Labels.SeriesLabels.Layout.Behavior = AxisLabelLayoutBehaviors.Auto;
        }

        protected void ChartDataClicked(object sender, ChartDataEventArgs e)
        {
            double d = e.DataValue;
        }
    }
}